/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.JoinColumns;
import javax.persistence.Lob;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TARMARMAPRUEBAS")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tarmarmapruebas.findAll", query = "SELECT t FROM Tarmarmapruebas t"),
    @NamedQuery(name = "Tarmarmapruebas.findByCarmaprueba", query = "SELECT t FROM Tarmarmapruebas t WHERE t.carmaprueba = :carmaprueba"),
    @NamedQuery(name = "Tarmarmapruebas.findByObservacion", query = "SELECT t FROM Tarmarmapruebas t WHERE t.observacion = :observacion"),
    @NamedQuery(name = "Tarmarmapruebas.findByXpathimpronta", query = "SELECT t FROM Tarmarmapruebas t WHERE t.xpathimpronta = :xpathimpronta"),
    @NamedQuery(name = "Tarmarmapruebas.findByXpathfotografia", query = "SELECT t FROM Tarmarmapruebas t WHERE t.xpathfotografia = :xpathfotografia"),
    @NamedQuery(name = "Tarmarmapruebas.findByAptituddisparo", query = "SELECT t FROM Tarmarmapruebas t WHERE t.aptituddisparo = :aptituddisparo"),
    @NamedQuery(name = "Tarmarmapruebas.findByBalastestigo", query = "SELECT t FROM Tarmarmapruebas t WHERE t.balastestigo = :balastestigo"),
    @NamedQuery(name = "Tarmarmapruebas.findByVainastestigo", query = "SELECT t FROM Tarmarmapruebas t WHERE t.vainastestigo = :vainastestigo"),
    @NamedQuery(name = "Tarmarmapruebas.findByApruebaevaluacion", query = "SELECT t FROM Tarmarmapruebas t WHERE t.apruebaevaluacion = :apruebaevaluacion"),
    @NamedQuery(name = "Tarmarmapruebas.findByXpathfichatecarmas", query = "SELECT t FROM Tarmarmapruebas t WHERE t.xpathfichatecarmas = :xpathfichatecarmas"),
    @NamedQuery(name = "Tarmarmapruebas.findByIsimpreso", query = "SELECT t FROM Tarmarmapruebas t WHERE t.isimpreso = :isimpreso"),
    @NamedQuery(name = "Tarmarmapruebas.findByTubocanion", query = "SELECT t FROM Tarmarmapruebas t WHERE t.tubocanion = :tubocanion")})
public class Tarmarmapruebas implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "CARMAPRUEBA")
    private Long carmaprueba;
    @Column(name = "OBSERVACION")
    private String observacion;
    @Column(name = "XPATHIMPRONTA")
    private String xpathimpronta;
    @Column(name = "XPATHFOTOGRAFIA")
    private String xpathfotografia;
    @Column(name = "APTITUDDISPARO")
    private String aptituddisparo;
    @Column(name = "BALASTESTIGO")
    private String balastestigo;
    @Column(name = "VAINASTESTIGO")
    private String vainastestigo;
    @Column(name = "APRUEBAEVALUACION")
    private String apruebaevaluacion;
    @Lob
    @Column(name = "SerializableIMAGENIMPRONTA")
    private Serializable imagenimpronta;
    @Lob
    @Column(name = "IMAGENFOTOGRAFIA")
    private Serializable imagenfotografia;
    @Column(name = "XPATHFICHATECARMAS")
    private String xpathfichatecarmas;
    @Column(name = "ISIMPRESO")
    private String isimpreso;
    @Column(name = "TUBOCANION")
    private String tubocanion;
    @JoinColumns({
        @JoinColumn(name = "CSOLICITUD", referencedColumnName = "CSOLICITUD"),
        @JoinColumn(name = "PERSONCODE", referencedColumnName = "PERSONCODE"),
        @JoinColumn(name = "CARMA", referencedColumnName = "CARMA")})
    @ManyToOne
    private Tarmsolicitudarmas tarmsolicitudarmas;

    public Tarmarmapruebas() {
    }

    public Tarmarmapruebas(Long carmaprueba) {
        this.carmaprueba = carmaprueba;
    }

    public Long getCarmaprueba() {
        return carmaprueba;
    }

    public void setCarmaprueba(Long carmaprueba) {
        this.carmaprueba = carmaprueba;
    }

    public String getObservacion() {
        return observacion;
    }

    public void setObservacion(String observacion) {
        this.observacion = observacion;
    }

    public String getXpathimpronta() {
        return xpathimpronta;
    }

    public void setXpathimpronta(String xpathimpronta) {
        this.xpathimpronta = xpathimpronta;
    }

    public String getXpathfotografia() {
        return xpathfotografia;
    }

    public void setXpathfotografia(String xpathfotografia) {
        this.xpathfotografia = xpathfotografia;
    }

    public String getAptituddisparo() {
        return aptituddisparo;
    }

    public void setAptituddisparo(String aptituddisparo) {
        this.aptituddisparo = aptituddisparo;
    }

    public String getBalastestigo() {
        return balastestigo;
    }

    public void setBalastestigo(String balastestigo) {
        this.balastestigo = balastestigo;
    }

    public String getVainastestigo() {
        return vainastestigo;
    }

    public void setVainastestigo(String vainastestigo) {
        this.vainastestigo = vainastestigo;
    }

    public String getApruebaevaluacion() {
        return apruebaevaluacion;
    }

    public void setApruebaevaluacion(String apruebaevaluacion) {
        this.apruebaevaluacion = apruebaevaluacion;
    }

    public Serializable getImagenimpronta() {
        return imagenimpronta;
    }

    public void setImagenimpronta(Serializable imagenimpronta) {
        this.imagenimpronta = imagenimpronta;
    }

    public Serializable getImagenfotografia() {
        return imagenfotografia;
    }

    public void setImagenfotografia(Serializable imagenfotografia) {
        this.imagenfotografia = imagenfotografia;
    }

    public String getXpathfichatecarmas() {
        return xpathfichatecarmas;
    }

    public void setXpathfichatecarmas(String xpathfichatecarmas) {
        this.xpathfichatecarmas = xpathfichatecarmas;
    }

    public String getIsimpreso() {
        return isimpreso;
    }

    public void setIsimpreso(String isimpreso) {
        this.isimpreso = isimpreso;
    }

    public String getTubocanion() {
        return tubocanion;
    }

    public void setTubocanion(String tubocanion) {
        this.tubocanion = tubocanion;
    }

    public Tarmsolicitudarmas getTarmsolicitudarmas() {
        return tarmsolicitudarmas;
    }

    public void setTarmsolicitudarmas(Tarmsolicitudarmas tarmsolicitudarmas) {
        this.tarmsolicitudarmas = tarmsolicitudarmas;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (carmaprueba != null ? carmaprueba.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tarmarmapruebas)) {
            return false;
        }
        Tarmarmapruebas other = (Tarmarmapruebas) object;
        if ((this.carmaprueba == null && other.carmaprueba != null) || (this.carmaprueba != null && !this.carmaprueba.equals(other.carmaprueba))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tarmarmapruebas[ carmaprueba=" + carmaprueba + " ]";
    }
    
}
